# $Revision: 1.20.2.1 $, $Date: 2007/03/12 00:51:48 $
%define		dictname web1913
%define		dictversion 0.46-a
Summary:	Webster's Revised Unabridged Dictionary for dictd
Summary(pl):	Sownik Webster's Revised Unabridged Dictionary dla dictd
Name:		dict-%{dictname}
Version:	1.4
Release:	9
License:	Free for personal or research use, distributable
Group:		Applications/Dictionaries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
# Source0-md5:	3b1eda03a3eb12d5d0f857bd990d7ab5
Source1:	ftp://ftp.dict.org/pub/dict/%{dictname}-%{dictversion}.tar.gz
# Source1-md5:	e957fe5b670cabb48b1c3b43998084ae
Patch0:		%{name}-ac.patch
Patch1:		%{name}-sparc.patch
URL:		http://www.dict.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dictzip
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Webster's Revised Unabridged Dictionary (1913).

%description -l pl
Sownik Webstera (angielsko-angielski): Webster's Revised Unabridged
Dictionary (1913).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
cp -f /usr/share/automake/config.* .
cd libmaa
%{__autoconf}
cp -f /usr/share/automake/config.* .
cd ..
%configure \
	--with-local-libmaa \
	--with-datapath=%{dictname}-%{dictversion}
%{__make}
tar xfz %{SOURCE1}
%{__make} db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# Webster's Revised Unabridged Dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
mv %{dictname}.{dict.dz,index} $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-web1913.spec,v $
Revision 1.20.2.1  2007/03/12 00:51:48  glen
- HEAD merge

Revision 1.20  2004/08/19 15:51:15  averne
- rel++

Revision 1.19  2003/11/23 12:23:04  qboosh
- refresh config.* (needed for athlon); release 7

Revision 1.18  2003/11/23 02:58:59  undefine
- release 6 to rebuild with ac

Revision 1.17  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/28 11:52:38  gotar
- changed License,
- more unified with other dicts,
- cosmetics,
- release 5.

Revision 1.14  2002/12/20 13:32:26  undefine
- fixed build on sparc
- release 4 to rebuild in RA-branch
- STBR

Revision 1.13  2002/11/17 13:43:44  gotar
- cosmetics

Revision 1.12  2002/09/17 22:39:51  undefine
- ac patch to allow build with ac 2.5
- release 3

Revision 1.11  2002/09/09 14:31:47  gotar
- cosmetics,
- unified config entries and dict-* specs appearance.

Revision 1.10  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/06 16:43:17  kloczek
- cosmetics.

Revision 1.8  2002/04/25 16:11:50  arturs
fixed a small typo

Revision 1.7  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/17 20:34:21  qboosh
- descriptions, pl summary
- BuildRequires: flex, bison
- restart dictd only once on upgrade
- release 2

Revision 1.3  2001/10/23 12:33:35  undefine
- ac

Revision 1.2  2001/07/26 02:58:59  agaran
just groups

Revision 1.1  2001/03/17 16:33:57  undefine
- Initital version
